/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __ICEBLOXX_HEADER__
#define __ICEBLOXX_HEADER__
#include <e32base.h>
#include "PlayField.h"

class Icebloxx : public QWidget
{
//    Q_OBJECT

public:
    Icebloxx(CIceBloxxView *aParent, const char *name , TInt f );
    ~Icebloxx();
	PlayField& Field(){return *m_field;};
	void updateSpeed(int speed);
    void updateStrength(int strength);
    void updateCoins(int coins);
    void readConfig(void);
    void writeConfig(void);

private:

private:
    PlayField *m_field;
//    QPopupMenu *m_speedMenu;
  //  QPopupMenu *m_strengthMenu;
    //QPopupMenu *m_coinsMenu;
    int m_speed;
    int m_strength;
    int m_coins;


};

#endif // __ICEBLOXX_HEADER__

